---
title: Update a sending subdomain
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Email Sending](https://developers.cloudflare.com/api/python/resources/email_sending)

[Subdomains](https://developers.cloudflare.com/api/python/resources/email_sending/subresources/subdomains)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a sending subdomain

email\_sending.subdomains.edit(strsubdomain\_id, SubdomainEditParams\*\*kwargs) -> [SubdomainEditResponse](<https://developers.cloudflare.com/api/python/resources/email_sending#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)>)

PATCH/zones/{zone\_id}/email/sending/subdomains/{subdomain\_id}

Updates the activity-log preview preference for a sending subdomain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

subdomain\_id: str

Sending subdomain identifier.

maxLength32

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20subdomain_id%20%3E%20(schema)>)

drop\_suppressed\_recipients: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/email_sending/subresources/subdomains/methods/edit#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20drop_suppressed_recipients%20%3E%20(schema)>)]

Whether a send request that includes a recipient suppressed on this subdomain drops that recipient and still delivers to the rest, instead of failing the entire request.

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20drop_suppressed_recipients%20%3E%20(schema)>)

preview\_enabled: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/email_sending/subresources/subdomains/methods/edit#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20preview_enabled%20%3E%20(schema)>)]

Whether sent messages from this subdomain can be previewed in the activity log.

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20preview_enabled%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SubdomainEditResponse: …

</summary>

enabled: bool

Whether Email Sending is enabled on this subdomain.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

name: str

The exact domain name or a leftmost wildcard such as <code>*.example.com</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

tag: str

Sending subdomain identifier.

maxLength32

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20tag">Link to this property</a>

created: Optional\[datetime]

The date and time the destination address has been created.

formatdate-time

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

dkim\_selector: Optional\[str]

The DKIM selector used for email signing. Wildcard rows publish the selector and sign with <code>d=&lt;base&gt;</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20dkim_selector">Link to this property</a>

drop\_suppressed\_recipients: Optional\[bool]

Whether a send request that includes a recipient suppressed on this subdomain drops that recipient and still delivers to the rest, instead of failing the entire request.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20drop_suppressed_recipients">Link to this property</a>

modified: Optional\[datetime]

The date and time the destination address was last modified.

formatdate-time

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

preview\_enabled: Optional\[bool]

Whether sent messages from this subdomain can be previewed in the activity log.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20preview_enabled">Link to this property</a>

return\_path\_domain: Optional\[str]

The return-path domain used for bounce handling. Wildcard rows use <code>cf-bounce.&lt;base&gt;</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)%20%3E%20(property)%20return_path_domain">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_edit_response%20%3E%20(schema)>)

### Update a sending subdomain

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.email_sending.subdomains.edit(
    subdomain_id="aabbccdd11223344aabbccdd11223344",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.enabled)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
```